## ros-noetic-moveit-planners-ompl 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_planners_ompl)

find_package(Boost REQUIRED system filesystem date_time thread serialization)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  roscpp
  rosconsole
  pluginlib
  tf2
  dynamic_reconfigure
)
moveit_build_options()

find_package(ompl REQUIRED)

generate_dynamic_reconfigure_options("ompl_interface/cfg/OMPLDynamicReconfigure.cfg")

catkin_package(
  LIBRARIES
    moveit_ompl_interface
  INCLUDE_DIRS
    ompl_interface/include
  CATKIN_DEPENDS
    dynamic_reconfigure
    moveit_core
    roscpp
  DEPENDS
    OMPL
)

include_directories(ompl_interface/include)
include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${OMPL_INCLUDE_DIRS})

add_subdirectory(ompl_interface)

install(FILES ompl_interface_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-moveit-planners-ompl (1.1.11-1buster) buster; urgency=high

  * Improve processing of multiple planning attempts: skip remaining planning attempts if solution was found (#3261 <https://github.com/ros-planning/moveit/issues/3261>)
  * Convert OMPL status to ``MoveItErrorCode`` in the OMPL interface (#3257 <https://github.com/ros-planning/moveit/issues/3257>)
  * Contributors: AndyZe, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.10-1buster) buster; urgency=high

  * Remove ConstraintSampler::project() (#3170 <https://github.com/ros-planning/moveit/issues/3170>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Cleanup OMPL's PlanningContextManager's protected API
  * planning_context_manager: rename protected methods
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.9-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.8-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.7-1buster) buster; urgency=high

  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit/issues/2981>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix ConstrainedGoalSampler (#2811 <https://github.com/ros-planning/moveit/issues/2811>): actually call ``sample()`` (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
  * Provide override for missing isValid method (#2802 <https://github.com/ros-planning/moveit/issues/2802>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Mathias Lüdtke, Michael Görner, Robert Haschke, pvanlaar, v4hn, werner291

 -- Dave Coleman <dave@picknik.ai>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.5-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.4-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.3-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Add test to ompl interface for StateValidityChecker (#2247 <https://github.com/ros-planning/moveit/issues/2247>)
  * Add test for PlanningContextManager in ompl interface (#2248 <https://github.com/ros-planning/moveit/issues/2248>)
  * Contributors: Jeroen, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.1-1buster) buster; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.0-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.6-1buster) buster; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.5-1buster) buster; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.4-1buster) buster; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.3-1buster) buster; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Sat, 25 Apr 2020 22:00:00 -0000



=== debian/control ===
Source: ros-noetic-moveit-planners-ompl
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-moveit-core, ros-noetic-moveit-resources-fanuc-description <!nocheck>, ros-noetic-moveit-resources-panda-description <!nocheck>, ros-noetic-moveit-resources-pr2-description <!nocheck>, ros-noetic-moveit-ros-planning, ros-noetic-ompl, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>, ros-noetic-tf2, ros-noetic-tf2-eigen <!nocheck>
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-planners-ompl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-ompl, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-tf2
Description: MoveIt interface to OMPL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-planners-ompl//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-moveit-planners-ompl 1.1.13

=== debian/changelog ===
ros-noetic-moveit-planners-ompl (1.1.13-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.12-2focal) focal; urgency=high

  * Add AITstar, BITstar and ABITstar planners from OMPL >= 1.5 (#3347 <https://github.com/ros-planning/moveit/issues/3347>)
  * Differential drive for planar Joints (#3359 <https://github.com/ros-planning/moveit/issues/3359>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Contributors: Robert Haschke, Scott Chow, alaflaquiere

 -- Dave Coleman <dave@picknik.ai>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.11-2focal) focal; urgency=high

  * Improve processing of multiple planning attempts: skip remaining planning attempts if solution was found (#3261 <https://github.com/ros-planning/moveit/issues/3261>)
  * Convert OMPL status to ``MoveItErrorCode`` in the OMPL interface (#3257 <https://github.com/ros-planning/moveit/issues/3257>)
  * Contributors: AndyZe, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.10-2focal) focal; urgency=high

  * Remove ConstraintSampler::project() (#3170 <https://github.com/ros-planning/moveit/issues/3170>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Cleanup OMPL's PlanningContextManager's protected API
  * planning_context_manager: rename protected methods
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.9-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.8-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.7-2focal) focal; urgency=high

  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit/issues/2981>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.6-2focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix ConstrainedGoalSampler (#2811 <https://github.com/ros-planning/moveit/issues/2811>): actually call ``sample()`` (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
  * Provide override for missing isValid method (#2802 <https://github.com/ros-planning/moveit/issues/2802>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Mathias Lüdtke, Michael Görner, Robert Haschke, pvanlaar, v4hn, werner291

 -- Dave Coleman <dave@picknik.ai>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.5-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.4-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.3-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.2-2focal) focal; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Add test to ompl interface for StateValidityChecker (#2247 <https://github.com/ros-planning/moveit/issues/2247>)
  * Add test for PlanningContextManager in ompl interface (#2248 <https://github.com/ros-planning/moveit/issues/2248>)
  * Contributors: Jeroen, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.1-2focal) focal; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.1.0-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.6-2focal) focal; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.5-2focal) focal; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Dave Coleman <dave@picknik.ai>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.4-2focal) focal; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-planners-ompl (1.0.3-2focal) focal; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
